## partitionmanager 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2014-2022 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

# Dependencies
set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "5.240.0")
set(KPMCORE_MIN_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")

set(KDE_COMPILERSETTINGS_LEVEL "5.85")

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF6 ${KF_MIN_VERSION} REQUIRED
  COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    JobWidgets
    KIO
    WidgetsAddons
    WindowSystem
    XmlGui
  OPTIONAL_COMPONENTS
    DocTools
)

find_package(PolkitQt6-1 REQUIRED)
ecm_set_disabled_deprecation_versions(QT 6.5
    KF 5.240.0
)


find_package(KPMcore ${KPMCORE_MIN_VERSION} REQUIRED)

add_subdirectory(src)
add_subdirectory(icons)
if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

message(STATUS "KDE Partition Manager ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

include(config/CMakeLists.txt)
include(gui/CMakeLists.txt)
include(util/CMakeLists.txt)

set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "VERSION=\"${RELEASE_SERVICE_VERSION}\"")

set(partitionmanager_SRCS
	main.cpp
	${CONFIG_SRC}
	${GUI_SRC}
	${UTIL_SRC}
)

file(GLOB partitionmanager_UIFILES config/*.ui gui/*.ui)

ki18n_wrap_ui(partitionmanager_SRCS ${partitionmanager_UIFILES})

kconfig_add_kcfg_files(partitionmanager_SRCS config.kcfgc)
install(FILES partitionmanager.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

############################################

add_executable(partitionmanager ${partitionmanager_SRCS} )

target_link_libraries(partitionmanager
	kpmcore
	KF6::ConfigCore
	KF6::ConfigGui
	KF6::ConfigWidgets
	KF6::CoreAddons
	KF6::Crash
	KF6::DBusAddons
	KF6::I18n
	KF6::JobWidgets
	KF6::KIOWidgets
	KF6::WidgetsAddons
	KF6::XmlGui
	KF6::WindowSystem
	PolkitQt6-1::Core
)

target_compile_definitions(partitionmanager PRIVATE -DCMAKE_INSTALL_FULL_LIBEXECDIR_KF6=\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF6}\")

install(TARGETS partitionmanager ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.partitionmanager.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.partitionmanager.desktop DESTINATION ${KDE_INSTALL_APPDIR})

############################################

install(FILES open_in_partitionmanager.desktop
    open_in_partitionmanager.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/solid/actions/)

=== src/gui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2016 Chantara Tith <tith.chantara@gmail.com>

# SPDX-License-Identifier: GPL-3.0-or-later

set(GUI_SRC
    gui/applyprogressdetailswidget.cpp gui/applyprogressdetailswidget.h
    gui/applyprogressdialog.cpp gui/applyprogressdialog.h
    gui/applyprogressdialogwidget.cpp gui/applyprogressdialogwidget.h
    gui/createpartitiontabledialog.cpp gui/createpartitiontabledialog.h
    gui/createpartitiontablewidget.cpp gui/createpartitiontablewidget.h
    gui/createvolumegroupdialog.cpp gui/createvolumegroupdialog.h
    gui/devicepropsdialog.cpp gui/devicepropsdialog.h
    gui/devicepropswidget.cpp gui/devicepropswidget.h
    gui/editmountpointdialog.cpp gui/editmountpointdialog.h
    gui/editmountpointdialogwidget.cpp gui/editmountpointdialogwidget.h
    gui/editmountoptionsdialog.cpp gui/editmountoptionsdialog.h
    gui/editmountoptionsdialogwidget.cpp gui/editmountoptionsdialogwidget.h
    gui/filesystemsupportdialog.cpp gui/filesystemsupportdialog.h
    gui/filesystemsupportdialogwidget.cpp gui/filesystemsupportdialogwidget.h
    gui/formattedspinbox.cpp gui/formattedspinbox.h
    gui/infopane.cpp gui/infopane.h
    gui/insertdialog.cpp gui/insertdialog.h
    gui/listdevices.cpp gui/listdevices.h
    gui/listoperations.cpp gui/listoperations.h
    gui/listphysicalvolumes.cpp gui/listphysicalvolumes.h
    gui/mainwindow.cpp gui/mainwindow.h
    gui/newdialog.cpp gui/newdialog.h
    gui/partitionmanagerwidget.cpp gui/partitionmanagerwidget.h
    gui/partpropsdialog.cpp gui/partpropsdialog.h
    gui/parttablewidget.cpp gui/parttablewidget.h
    gui/resizedialog.cpp gui/resizedialog.h
    gui/resizevolumegroupdialog.cpp gui/resizevolumegroupdialog.h
    gui/scanprogressdialog.cpp gui/scanprogressdialog.h
    gui/sizedetailswidget.cpp gui/sizedetailswidget.h
    gui/sizedialogbase.cpp gui/sizedialogbase.h
    gui/sizedialogwidget.cpp gui/sizedialogwidget.h
    gui/smartdialog.cpp gui/smartdialog.h
    gui/smartdialogwidget.cpp gui/smartdialogwidget.h
    gui/treelog.cpp gui/treelog.h
    gui/volumegroupdialog.cpp gui/volumegroupdialog.h
    gui/volumegroupwidget.cpp gui/volumegroupwidget.h
    gui/partitionmanager.qrc
)

=== debian/changelog ===
partitionmanager (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:43 +0100

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~) <!nodoc>,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkpmcore-dev (>= 25.08.2~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

## partitionmanager 25.08.2+p24.04+vstable+git20251016.2221

=== debian/changelog ===
partitionmanager (25.08.2+p24.04+vstable+git20251016.2221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:21:44 +0000

partitionmanager (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:49:40 +0000

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libatasmart-dev,
               libblkid-dev,
               libkpmcore-dev,
               libparted-dev,
               libpolkit-qt6-1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               uuid-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Git: https://invent.kde.org/neon/extras/partitionmanager.git
Vcs-Browser: https://invent.kde.org/neon/extras/partitionmanager
Maintainer: Neon CI <neon@kde.org>

Package: partitionmanager
Architecture: linux-any
Depends: fdisk, ${misc:Depends}, ${shlibs:Depends}
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6 --buildsystem kf6

## partitionmanager 25.08.2+p24.04+vstable+git20251019.0550

=== debian/changelog ===
partitionmanager (25.08.2+p24.04+vstable+git20251019.0550-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:50:17 +0000

## partitionmanager 25.08.2+p24.04+vstable+git20251031.0957

=== debian/changelog ===
partitionmanager (25.08.2+p24.04+vstable+git20251031.0957-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:57:39 +0000

## partitionmanager 25.08.3

=== src/util/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

set(UTIL_SRC
	util/guihelpers.cpp util/guihelpers.h
)

=== debian/changelog ===
partitionmanager (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:59 +0000

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~) <!nodoc>,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkpmcore-dev (>= 25.08.3~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

## partitionmanager 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,14 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})
 
 # Dependencies
 set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "5.240.0")
+set(KF_MIN_VERSION "6.17.0")
 set(KPMCORE_MIN_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

kdoctools_create_handbook( index.docbook  INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR partitionmanager )

=== src/config/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

set(CONFIG_SRC
	config/advancedpagewidget.cpp config/advancedpagewidget.h
	config/configureoptionsdialog.cpp config/configureoptionsdialog.h
	config/filesystemcolorspagewidget.cpp config/filesystemcolorspagewidget.h
	config/generalpagewidget.cpp config/generalpagewidget.h
)

=== debian/changelog ===
partitionmanager (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:03:48 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libkpmcore-dev (>= 25.08.3~),
+               libkpmcore-dev (>= 25.11.80~),
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),

## partitionmanager 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
partitionmanager (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:13 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libkpmcore-dev (>= 25.11.80~),
+               libkpmcore-dev (>= 25.11.90~),
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),

## partitionmanager 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
partitionmanager (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:38:18 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libkpmcore-dev (>= 25.11.90~),
+               libkpmcore-dev (>= 25.12.0~),
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),

## partitionmanager 25.12.0+p24.04+vstable+git20251208.2248

=== debian/changelog ===
partitionmanager (25.12.0+p24.04+vstable+git20251208.2248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:48:46 +0000

partitionmanager (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:50 +1000

partitionmanager (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:19 +1000

## partitionmanager 25.12.0+p24.04+vstable+git20251220.0149

=== debian/changelog ===
partitionmanager (25.12.0+p24.04+vstable+git20251220.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:49:10 +0000

## partitionmanager 25.12.0+p24.04+vstable+git20251222.0419

=== debian/changelog ===
partitionmanager (25.12.0+p24.04+vstable+git20251222.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:19:58 +0000

## partitionmanager 25.12.0+p24.04+vstable+git20260105.0840

=== debian/changelog ===
partitionmanager (25.12.0+p24.04+vstable+git20260105.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:40:27 +0000

## partitionmanager 25.12.0+p24.04+vunstable+git20251208.2259

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
partitionmanager (25.12.0+p24.04+vunstable+git20251208.2259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:59:08 +0000

## partitionmanager 25.12.1

=== debian/changelog ===
partitionmanager (25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump required KPMCore version as per the upstream build system.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 09:39:46 +0100

partitionmanager (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 07:42:28 +0100

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.17.0~),
               gettext,
               libkf6config-dev (>= 6.17.0~),
               libkf6configwidgets-dev (>= 6.17.0~),
               libkf6coreaddons-dev (>= 6.17.0~),
               libkf6crash-dev (>= 6.17.0~),
               libkf6dbusaddons-dev (>= 6.17.0~),
               libkf6doctools-dev (>= 6.17.0~) <!nodoc>,
               libkf6i18n-dev (>= 6.17.0~),
               libkf6jobwidgets-dev (>= 6.17.0~),
               libkf6kio-dev (>= 6.17.0~),
               libkf6widgetsaddons-dev (>= 6.17.0~),
               libkf6windowsystem-dev (>= 6.17.0~),
               libkf6xmlgui-dev (>= 6.17.0~),
               libkpmcore-dev (>= 25.12~),
               libpolkit-qt6-1-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/partitionmanager/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/partitionmanager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/partitionmanager.git

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs,
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/release-service/@ANY_VERSION@/src/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## partitionmanager 25.12.1+p24.04+vstable+git20260116.1035

=== debian/changelog ===
partitionmanager (25.12.1+p24.04+vstable+git20260116.1035-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 10:35:36 +0000

partitionmanager (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:24 +1000

## partitionmanager 25.12.1+p24.04+vstable+git20260128.0401

=== debian/changelog ===
partitionmanager (25.12.1+p24.04+vstable+git20260128.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:01:28 +0000

## partitionmanager 25.12.1+p24.04+vunstable+git20260131.0118

=== debian/changelog ===
partitionmanager (25.12.1+p24.04+vunstable+git20260131.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:18:43 +0000

## partitionmanager 25.12.2

=== debian/changelog ===
partitionmanager (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:32:39 +0000

partitionmanager (25.12.1-2ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:57:52 +0000

partitionmanager (25.12.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 15:45:29 +0000

partitionmanager (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.17.0~),
                gettext,
                libkf6config-dev (>= 6.17.0~),
@@ -20,14 +21,14 @@
                libkf6widgetsaddons-dev (>= 6.17.0~),
                libkf6windowsystem-dev (>= 6.17.0~),
                libkf6xmlgui-dev (>= 6.17.0~),
-               libkpmcore-dev (>= 25.12~),
+               libkpmcore-dev (>= 25.12.2~),
                libpolkit-qt6-1-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/partitionmanager/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/partitionmanager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/partitionmanager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
 
 Package: partitionmanager
 Architecture: any
